Bug 12916 - [EXA] xtest new failures with XAA->EXA
[EXA] xtest new failures with XAA->EXA
Status: VERIFIED INVALID
Product: xorg
Classification: Unclassified
Component: Driver/intel
git
x86 (IA32) Linux (All)
: medium normal
Assigned To: Wang Zhenyu
Xorg Project Team
:
: 13109 (view as bug list)
Depends on:
Blocks: 13027 13493
  Show dependency treegraph
 
Reported: 2007-10-25 01:27 UTC by Pi, Fengming
Modified: 2008-03-02 18:24 UTC (History)
6 users (show)

See Also:
i915 platform:
i915 features:


Attachments
xorg conf file (3.79 KB, text/plain)
2007-10-25 19:09 UTC, Pi, Fengming
no flags Details
Xtest in XAA mode report log (331.55 KB, text/plain)
2007-10-25 19:18 UTC, Pi, Fengming
no flags Details
Xtest in EXA mode report log (886.84 KB, text/plain)
2007-10-25 19:22 UTC, Pi, Fengming
no flags Details
Test patch (715 bytes, patch)
2007-10-27 09:25 UTC, Michel Dänzer
no flags Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Pi, Fengming 2007-10-25 01:27:39 UTC
System Environment:
--------------------------

--Platform: 945gm
--Architecture(32-bit): ia32
--2D driver: git commit:78e251db671e21bc859c9b505d391b70babee2dc
--3D driver: Mesa master commit:a074857cdc00fb73eed826503360b37cb251ade1
--DRM:   git commit:2c5c18fbd394f419a9cf650720a1187440c643cd
--Xserver:  git commit:4b14c9a9cd2033d3839c4ba364d41ab4c4b198ab
--Kernel: 2.6.22

Description:
after change XAA into EXA,xtest have some new faied.I make a list as below:

TEST SECTION/CASE                     PURPOSE  XAA   NoAccel EXA

Xlib4/XChangeWindowAttributes           16     pass   pass   FAIL   
Xlib4/XChangeWindowAttributes           18     pass   pass   FAIL   
Xlib4/XCreateSimpleWindow               5      pass   pass   FAIL   
Xlib4/XCreateWindow                     6      pass   pass   FAIL   
Xlib4/XCreateWindow                     14     pass   pass   FAIL   
Xlib4/XCreateWindow                     16     pass   pass   FAIL   
Xlib4/XSetWindowBackground              2      pass   pass   FAIL   
Xlib4/XSetWindowBackgroundPixmap        4      pass   pass   FAIL   
Xlib4/XSetWindowBorder                  3      pass   pass   FAIL   
Xlib6/XFreePixmap                       2      pass   pass   FAIL   
Xlib8/XCreateGC                         1      pass   pass   FAIL   
Xlib9/XClearArea                        1      pass   pass   FAIL   
Xlib9/XClearArea                        2      pass   pass   FAIL   
Xlib9/XClearArea                        3      pass   pass   FAIL   
Xlib9/XClearArea                        4      pass   pass   FAIL   
Xlib9/XClearArea                        6      pass   pass   FAIL   
Xlib9/XClearArea                        7      pass   pass   FAIL   
Xlib9/XClearWindow                      1      pass   pass   FAIL   
Xlib9/XClearWindow                      2      pass   pass   FAIL   
Xlib9/XClearWindow                      4      pass   pass   FAIL   
Xlib9/XClearWindow                      5      pass   pass   FAIL   
Xlib9/XCopyArea                         1      pass   pass   FAIL   
Xlib9/XCopyArea                         3      pass   pass   FAIL   
Xlib9/XCopyArea                         7      pass   pass   FAIL   
Xlib9/XCopyArea                         8      pass   pass   FAIL   
Xlib9/XCopyArea                         9      pass   pass   FAIL   
Xlib9/XCopyArea                         10     pass   pass   FAIL   
Xlib9/XCopyArea                         11     pass   pass   FAIL   
Xlib9/XCopyArea                         12     pass   pass   FAIL   
Xlib9/XCopyArea                         13     pass   pass   FAIL   
Xlib9/XCopyArea                         14     pass   pass   FAIL   
Xlib9/XCopyArea                         15     pass   pass   FAIL   
Xlib9/XCopyArea                         16     pass   pass   FAIL   
Xlib9/XCopyArea                         17     pass   pass   FAIL   
Xlib9/XCopyArea                         18     pass   pass   FAIL   
Xlib9/XCopyArea                         19     pass   pass   FAIL   
Xlib9/XCopyArea                         20     pass   pass   FAIL   
Xlib9/XCopyArea                         21     pass   pass   FAIL   
Xlib9/XCopyArea                         24     pass   pass   FAIL   
Xlib9/XCopyArea                         27     pass   pass   FAIL   
Xlib9/XCopyArea                         29     pass   pass   FAIL   
Xlib9/XCopyArea                         31     pass   pass   FAIL   
Xlib9/XCopyPlane                        1      pass   pass   FAIL   
Xlib9/XCopyPlane                        5      pass   pass   FAIL   
Xlib9/XCopyPlane                        27     pass   pass   FAIL   
Xlib9/XCopyPlane                        29     pass   pass   FAIL   
Xlib9/XCopyPlane                        30     pass   pass   FAIL   
Xlib9/XCopyPlane                        33     pass   pass   FAIL   
Xlib9/XCopyPlane                        35     pass   pass   FAIL   
Xlib9/XCopyPlane                        37     pass   pass   FAIL   
Xlib9/XDrawArc                          14     pass   pass   FAIL   
Xlib9/XDrawArc                          19     pass   pass   FAIL   
Xlib9/XDrawArc                          28     pass   pass   FAIL   
Xlib9/XDrawArc                          31     pass   pass   FAIL   
Xlib9/XDrawArc                          36     pass   pass   FAIL   
Xlib9/XDrawArc                          38     pass   pass   FAIL   
Xlib9/XDrawArc                          52     pass   pass   FAIL   
Xlib9/XDrawArc                          68     pass   pass   FAIL   
Xlib9/XDrawArc                          72     pass   pass   FAIL   
Xlib9/XDrawArc                          74     pass   pass   FAIL   
Xlib9/XDrawArc                          77     pass   pass   FAIL   
Xlib9/XDrawArc                          78     pass   pass   FAIL   
Xlib9/XDrawArc                          80     pass   pass   FAIL   
Xlib9/XDrawArc                          83     pass   pass   FAIL   
Xlib9/XDrawArc                          85     pass   pass   FAIL   
Xlib9/XDrawArc                          87     pass   pass   FAIL   
Xlib9/XDrawArc                          89     pass   pass   FAIL   
Xlib9/XDrawArc                          91     pass   pass   FAIL   
Xlib9/XDrawArcs                         13     pass   pass   FAIL   
Xlib9/XDrawArcs                         16     pass   pass   FAIL   
Xlib9/XDrawArcs                         17     pass   pass   FAIL   
Xlib9/XDrawArcs                         22     pass   pass   FAIL   
Xlib9/XDrawArcs                         31     pass   pass   FAIL   
Xlib9/XDrawArcs                         34     pass   pass   FAIL   
Xlib9/XDrawArcs                         39     pass   pass   FAIL   
Xlib9/XDrawArcs                         41     pass   pass   FAIL   
Xlib9/XDrawArcs                         55     pass   pass   FAIL   
Xlib9/XDrawArcs                         63     pass   pass   FAIL   
Xlib9/XDrawArcs                         71     pass   pass   FAIL   
Xlib9/XDrawArcs                         77     pass   pass   FAIL   
Xlib9/XDrawArcs                         87     pass   pass   FAIL   
Xlib9/XDrawArcs                         88     pass   pass   FAIL   
Xlib9/XDrawArcs                         90     pass   pass   FAIL   
Xlib9/XDrawArcs                         93     pass   pass   FAIL   
Xlib9/XDrawArcs                         95     pass   pass   FAIL   
Xlib9/XDrawArcs                         97     pass   pass   FAIL   
Xlib9/XDrawArcs                         99     pass   pass   FAIL   
Xlib9/XDrawArcs                         101    pass   pass   FAIL   
Xlib9/XDrawImageString16                8      pass   pass   FAIL   
Xlib9/XDrawImageString16                11     pass   pass   FAIL   
Xlib9/XDrawImageString16                13     pass   pass   FAIL   
Xlib9/XDrawImageString16                14     pass   pass   FAIL   
Xlib9/XDrawImageString16                15     pass   pass   FAIL   
Xlib9/XDrawImageString16                17     pass   pass   FAIL   
Xlib9/XDrawImageString                  8      pass   pass   FAIL   
Xlib9/XDrawImageString                  11     pass   pass   FAIL   
Xlib9/XDrawImageString                  13     pass   pass   FAIL   
Xlib9/XDrawImageString                  14     pass   pass   FAIL   
Xlib9/XDrawImageString                  15     pass   pass   FAIL   
Xlib9/XDrawImageString                  17     pass   pass   FAIL   
Xlib9/XDrawImageString                  19     pass   pass   FAIL   
Xlib9/XDrawLine                         6      pass   pass   FAIL   
Xlib9/XDrawLine                         7      pass   pass   FAIL   
Xlib9/XDrawLine                         8      pass   pass   FAIL   
Xlib9/XDrawLine                         9      pass   pass   FAIL   
Xlib9/XDrawLine                         10     pass   pass   FAIL   
Xlib9/XDrawLine                         11     pass   pass   FAIL   
Xlib9/XDrawLine                         12     pass   pass   FAIL   
Xlib9/XDrawLine                         13     pass   pass   FAIL   
Xlib9/XDrawLine                         14     pass   pass   FAIL   
Xlib9/XDrawLine                         15     pass   pass   FAIL   
Xlib9/XDrawLine                         16     pass   pass   FAIL   
Xlib9/XDrawLine                         17     pass   pass   FAIL   
Xlib9/XDrawLine                         18     pass   pass   FAIL   
Xlib9/XDrawLine                         19     pass   pass   FAIL   
Xlib9/XDrawLine                         20     pass   pass   FAIL   
Xlib9/XDrawLine                         24     pass   pass   FAIL   
Xlib9/XDrawLine                         25     pass   pass   FAIL   
Xlib9/XDrawLine                         27     pass   pass   FAIL   
Xlib9/XDrawLine                         52     pass   pass   FAIL   
Xlib9/XDrawLine                         57     pass   pass   FAIL   
Xlib9/XDrawLine                         61     pass   pass   FAIL   
Xlib9/XDrawLine                         63     pass   pass   FAIL   
Xlib9/XDrawLine                         69     pass   pass   FAIL   
Xlib9/XDrawLine                         72     pass   pass   FAIL   
Xlib9/XDrawLine                         74     pass   pass   FAIL   
Xlib9/XDrawLine                         76     pass   pass   FAIL   
Xlib9/XDrawLine                         78     pass   pass   FAIL   
Xlib9/XDrawLine                         80     pass   pass   FAIL   
Xlib9/XDrawLines                        11     pass   pass   FAIL   
Xlib9/XDrawLines                        12     pass   pass   FAIL   
Xlib9/XDrawLines                        13     pass   pass   FAIL   
Xlib9/XDrawLines                        14     pass   pass   FAIL   
Xlib9/XDrawLines                        15     pass   pass   FAIL   
Xlib9/XDrawLines                        16     pass   pass   FAIL   
Xlib9/XDrawLines                        17     pass   pass   FAIL   
Xlib9/XDrawLines                        18     pass   pass   FAIL   
Xlib9/XDrawLines                        19     pass   pass   FAIL   
Xlib9/XDrawLines                        20     pass   pass   FAIL   
Xlib9/XDrawLines                        21     pass   pass   FAIL   
Xlib9/XDrawLines                        22     pass   pass   FAIL   
Xlib9/XDrawLines                        23     pass   pass   FAIL   
Xlib9/XDrawLines                        24     pass   pass   FAIL   
Xlib9/XDrawLines                        25     pass   pass   FAIL   
Xlib9/XDrawLines                        29     pass   pass   FAIL   
Xlib9/XDrawLines                        30     pass   pass   FAIL   
Xlib9/XDrawLines                        32     pass   pass   FAIL   
Xlib9/XDrawLines                        57     pass   pass   FAIL   
Xlib9/XDrawLines                        62     pass   pass   FAIL   
Xlib9/XDrawLines                        66     pass   pass   FAIL   
Xlib9/XDrawLines                        68     pass   pass   FAIL   
Xlib9/XDrawLines                        71     pass   pass   FAIL   
Xlib9/XDrawLines                        72     pass   pass   FAIL   
Xlib9/XDrawLines                        74     pass   pass   FAIL   
Xlib9/XDrawLines                        77     pass   pass   FAIL   
Xlib9/XDrawLines                        86     pass   pass   FAIL   
Xlib9/XDrawLines                        88     pass   pass   FAIL   
Xlib9/XDrawLines                        90     pass   pass   FAIL   
Xlib9/XDrawLines                        92     pass   pass   FAIL   
Xlib9/XDrawPoint                        1      pass   pass   FAIL   
Xlib9/XDrawPoint                        3      pass   pass   FAIL   
Xlib9/XDrawPoint                        4      pass   pass   FAIL   
Xlib9/XDrawPoint                        5      pass   pass   FAIL   
Xlib9/XDrawPoint                        6      pass   pass   FAIL   
Xlib9/XDrawPoint                        7      pass   pass   FAIL   
Xlib9/XDrawPoint                        8      pass   pass   FAIL   
Xlib9/XDrawPoint                        9      pass   pass   FAIL   
Xlib9/XDrawPoint                        10     pass   pass   FAIL   
Xlib9/XDrawPoint                        11     pass   pass   FAIL   
Xlib9/XDrawPoint                        12     pass   pass   FAIL   
Xlib9/XDrawPoint                        13     pass   pass   FAIL   
Xlib9/XDrawPoint                        14     pass   pass   FAIL   
Xlib9/XDrawPoint                        15     pass   pass   FAIL   
Xlib9/XDrawPoint                        16     pass   pass   FAIL   
Xlib9/XDrawPoint                        17     pass   pass   FAIL   
Xlib9/XDrawPoint                        21     pass   pass   FAIL   
Xlib9/XDrawPoint                        22     pass   pass   FAIL   
Xlib9/XDrawPoint                        25     pass   pass   FAIL   
Xlib9/XDrawPoint                        27     pass   pass   FAIL   
Xlib9/XDrawPoint                        29     pass   pass   FAIL   
Xlib9/XDrawPoints                       6      pass   pass   FAIL   
Xlib9/XDrawPoints                       7      pass   pass   FAIL   
Xlib9/XDrawPoints                       8      pass   pass   FAIL   
Xlib9/XDrawPoints                       9      pass   pass   FAIL   
Xlib9/XDrawPoints                       10     pass   pass   FAIL   
Xlib9/XDrawPoints                       11     pass   pass   FAIL   
Xlib9/XDrawPoints                       12     pass   pass   FAIL   
Xlib9/XDrawPoints                       13     pass   pass   FAIL   
Xlib9/XDrawPoints                       14     pass   pass   FAIL   
Xlib9/XDrawPoints                       15     pass   pass   FAIL   
Xlib9/XDrawPoints                       16     pass   pass   FAIL   
Xlib9/XDrawPoints                       17     pass   pass   FAIL   
Xlib9/XDrawPoints                       18     pass   pass   FAIL   
Xlib9/XDrawPoints                       19     pass   pass   FAIL   
Xlib9/XDrawPoints                       20     pass   pass   FAIL   
Xlib9/XDrawPoints                       24     pass   pass   FAIL   
Xlib9/XDrawPoints                       25     pass   pass   FAIL   
Xlib9/XDrawPoints                       28     pass   pass   FAIL   
Xlib9/XDrawPoints                       30     pass   pass   FAIL   
Xlib9/XDrawPoints                       32     pass   pass   FAIL   
Xlib9/XDrawRectangle                    6      pass   pass   FAIL   
Xlib9/XDrawRectangle                    7      pass   pass   FAIL   
Xlib9/XDrawRectangle                    8      pass   pass   FAIL   
Xlib9/XDrawRectangle                    9      pass   pass   FAIL   
Xlib9/XDrawRectangle                    10     pass   pass   FAIL   
Xlib9/XDrawRectangle                    11     pass   pass   FAIL   
Xlib9/XDrawRectangle                    12     pass   pass   FAIL   
Xlib9/XDrawRectangle                    13     pass   pass   FAIL   
Xlib9/XDrawRectangle                    14     pass   pass   FAIL   
Xlib9/XDrawRectangle                    15     pass   pass   FAIL   
Xlib9/XDrawRectangle                    16     pass   pass   FAIL   
Xlib9/XDrawRectangle                    17     pass   pass   FAIL   
Xlib9/XDrawRectangle                    18     pass   pass   FAIL   
Xlib9/XDrawRectangle                    19     pass   pass   FAIL   
Xlib9/XDrawRectangle                    20     pass   pass   FAIL   
Xlib9/XDrawRectangle                    25     pass   pass   FAIL   
Xlib9/XDrawRectangle                    27     pass   pass   FAIL   
Xlib9/XDrawRectangle                    42     pass   pass   FAIL   
Xlib9/XDrawRectangle                    58     pass   pass   FAIL   
Xlib9/XDrawRectangle                    59     pass   pass   FAIL   
Xlib9/XDrawRectangle                    61     pass   pass   FAIL   
Xlib9/XDrawRectangle                    64     pass   pass   FAIL   
Xlib9/XDrawRectangle                    66     pass   pass   FAIL   
Xlib9/XDrawRectangle                    68     pass   pass   FAIL   
Xlib9/XDrawRectangle                    70     pass   pass   FAIL   
Xlib9/XDrawRectangle                    72     pass   pass   FAIL   
Xlib9/XDrawRectangles                   8      pass   pass   FAIL   
Xlib9/XDrawRectangles                   9      pass   pass   FAIL   
Xlib9/XDrawRectangles                   10     pass   pass   FAIL   
Xlib9/XDrawRectangles                   11     pass   pass   FAIL   
Xlib9/XDrawRectangles                   12     pass   pass   FAIL   
Xlib9/XDrawRectangles                   13     pass   pass   FAIL   
Xlib9/XDrawRectangles                   14     pass   pass   FAIL   
Xlib9/XDrawRectangles                   15     pass   pass   FAIL   
Xlib9/XDrawRectangles                   16     pass   pass   FAIL   
Xlib9/XDrawRectangles                   17     pass   pass   FAIL   
Xlib9/XDrawRectangles                   18     pass   pass   FAIL   
Xlib9/XDrawRectangles                   19     pass   pass   FAIL   
Xlib9/XDrawRectangles                   20     pass   pass   FAIL   
Xlib9/XDrawRectangles                   21     pass   pass   FAIL   
Xlib9/XDrawRectangles                   22     pass   pass   FAIL   
Xlib9/XDrawRectangles                   27     pass   pass   FAIL   
Xlib9/XDrawRectangles                   29     pass   pass   FAIL   
Xlib9/XDrawRectangles                   44     pass   pass   FAIL   
Xlib9/XDrawRectangles                   60     pass   pass   FAIL   
Xlib9/XDrawRectangles                   61     pass   pass   FAIL   
Xlib9/XDrawRectangles                   63     pass   pass   FAIL   
Xlib9/XDrawRectangles                   66     pass   pass   FAIL   
Xlib9/XDrawRectangles                   68     pass   pass   FAIL   
Xlib9/XDrawRectangles                   70     pass   pass   FAIL   
Xlib9/XDrawRectangles                   72     pass   pass   FAIL   
Xlib9/XDrawRectangles                   74     pass   pass   FAIL   
Xlib9/XDrawSegments                     7      pass   pass   FAIL   
Xlib9/XDrawSegments                     8      pass   pass   FAIL   
Xlib9/XDrawSegments                     9      pass   pass   FAIL   
Xlib9/XDrawSegments                     10     pass   pass   FAIL   
Xlib9/XDrawSegments                     11     pass   pass   FAIL   
Xlib9/XDrawSegments                     12     pass   pass   FAIL   
Xlib9/XDrawSegments                     13     pass   pass   FAIL   
Xlib9/XDrawSegments                     14     pass   pass   FAIL   
Xlib9/XDrawSegments                     15     pass   pass   FAIL   
Xlib9/XDrawSegments                     16     pass   pass   FAIL   
Xlib9/XDrawSegments                     17     pass   pass   FAIL   
Xlib9/XDrawSegments                     18     pass   pass   FAIL   
Xlib9/XDrawSegments                     19     pass   pass   FAIL   
Xlib9/XDrawSegments                     20     pass   pass   FAIL   
Xlib9/XDrawSegments                     21     pass   pass   FAIL   
Xlib9/XDrawSegments                     25     pass   pass   FAIL   
Xlib9/XDrawSegments                     26     pass   pass   FAIL   
Xlib9/XDrawSegments                     28     pass   pass   FAIL   
Xlib9/XDrawSegments                     53     pass   pass   FAIL   
Xlib9/XDrawSegments                     58     pass   pass   FAIL   
Xlib9/XDrawSegments                     62     pass   pass   FAIL   
Xlib9/XDrawSegments                     64     pass   pass   FAIL   
Xlib9/XDrawSegments                     70     pass   pass   FAIL   
Xlib9/XDrawSegments                     73     pass   pass   FAIL   
Xlib9/XDrawSegments                     75     pass   pass   FAIL   
Xlib9/XDrawSegments                     77     pass   pass   FAIL   
Xlib9/XDrawSegments                     79     pass   pass   FAIL   
Xlib9/XDrawSegments                     81     pass   pass   FAIL   
Xlib9/XDrawString                       27     pass   pass   FAIL   
Xlib9/XDrawString                       30     pass   pass   FAIL   
Xlib9/XDrawString                       32     pass   pass   FAIL   
Xlib9/XDrawString                       34     pass   pass   FAIL   
Xlib9/XDrawString                       36     pass   pass   FAIL   
Xlib9/XDrawString                       38     pass   pass   FAIL   
Xlib9/XDrawString16                     27     pass   pass   FAIL   
Xlib9/XDrawString16                     30     pass   pass   FAIL   
Xlib9/XDrawString16                     32     pass   pass   FAIL   
Xlib9/XDrawString16                     34     pass   pass   FAIL   
Xlib9/XDrawString16                     36     pass   pass   FAIL   
Xlib9/XDrawText                         1      pass   pass   FAIL   
Xlib9/XDrawText                         31     pass   pass   FAIL   
Xlib9/XDrawText                         34     pass   pass   FAIL   
Xlib9/XDrawText                         36     pass   pass   FAIL   
Xlib9/XDrawText                         38     pass   pass   FAIL   
Xlib9/XDrawText                         40     pass   pass   FAIL   
Xlib9/XDrawText                         42     pass   pass   FAIL   
Xlib9/XDrawText16                       31     pass   pass   FAIL   
Xlib9/XDrawText16                       34     pass   pass   FAIL   
Xlib9/XDrawText16                       36     pass   pass   FAIL   
Xlib9/XDrawText16                       38     pass   pass   FAIL   
Xlib9/XDrawText16                       40     pass   pass   FAIL   
Xlib9/XDrawText16                       42     pass   pass   FAIL   
Xlib9/XFillArc                          4      pass   pass   FAIL   
Xlib9/XFillArc                          6      pass   pass   FAIL   
Xlib9/XFillArc                          7      pass   pass   FAIL   
Xlib9/XFillArc                          8      pass   pass   FAIL   
Xlib9/XFillArc                          9      pass   pass   FAIL   
Xlib9/XFillArc                          10     pass   pass   FAIL   
Xlib9/XFillArc                          11     pass   pass   FAIL   
Xlib9/XFillArc                          12     pass   pass   FAIL   
Xlib9/XFillArc                          13     pass   pass   FAIL   
Xlib9/XFillArc                          14     pass   pass   FAIL   
Xlib9/XFillArc                          15     pass   pass   FAIL   
Xlib9/XFillArc                          16     pass   pass   FAIL   
Xlib9/XFillArc                          17     pass   pass   FAIL   
Xlib9/XFillArc                          18     pass   pass   FAIL   
Xlib9/XFillArc                          19     pass   pass   FAIL   
Xlib9/XFillArc                          20     pass   pass   FAIL   
Xlib9/XFillArc                          25     pass   pass   FAIL   
Xlib9/XFillArc                          27     pass   pass   FAIL   
Xlib9/XFillArc                          30     pass   pass   FAIL   
Xlib9/XFillArc                          32     pass   pass   FAIL   
Xlib9/XFillArc                          34     pass   pass   FAIL   
Xlib9/XFillArc                          36     pass   pass   FAIL   
Xlib9/XFillArc                          38     pass   pass   FAIL   
Xlib9/XFillArcs                         4      pass   pass   FAIL   
Xlib9/XFillArcs                         8      pass   pass   FAIL   
Xlib9/XFillArcs                         9      pass   pass   FAIL   
Xlib9/XFillArcs                         10     pass   pass   FAIL   
Xlib9/XFillArcs                         11     pass   pass   FAIL   
Xlib9/XFillArcs                         12     pass   pass   FAIL   
Xlib9/XFillArcs                         13     pass   pass   FAIL   
Xlib9/XFillArcs                         14     pass   pass   FAIL   
Xlib9/XFillArcs                         15     pass   pass   FAIL   
Xlib9/XFillArcs                         16     pass   pass   FAIL   
Xlib9/XFillArcs                         17     pass   pass   FAIL   
Xlib9/XFillArcs                         18     pass   pass   FAIL   
Xlib9/XFillArcs                         19     pass   pass   FAIL   
Xlib9/XFillArcs                         20     pass   pass   FAIL   
Xlib9/XFillArcs                         21     pass   pass   FAIL   
Xlib9/XFillArcs                         22     pass   pass   FAIL   
Xlib9/XFillArcs                         26     pass   pass   FAIL   
Xlib9/XFillArcs                         27     pass   pass   FAIL   
Xlib9/XFillArcs                         29     pass   pass   FAIL   
Xlib9/XFillArcs                         32     pass   pass   FAIL   
Xlib9/XFillArcs                         34     pass   pass   FAIL   
Xlib9/XFillArcs                         36     pass   pass   FAIL   
Xlib9/XFillArcs                         38     pass   pass   FAIL   
Xlib9/XFillArcs                         40     pass   pass   FAIL   
Xlib9/XFillPolygon                      3      pass   pass   FAIL   
Xlib9/XFillPolygon                      4      pass   pass   FAIL   
Xlib9/XFillPolygon                      5      pass   pass   FAIL   
Xlib9/XFillPolygon                      11     pass   pass   FAIL   
Xlib9/XFillPolygon                      12     pass   pass   FAIL   
Xlib9/XFillPolygon                      13     pass   pass   FAIL   
Xlib9/XFillPolygon                      14     pass   pass   FAIL   
Xlib9/XFillPolygon                      15     pass   pass   FAIL   
Xlib9/XFillPolygon                      16     pass   pass   FAIL   
Xlib9/XFillPolygon                      17     pass   pass   FAIL   
Xlib9/XFillPolygon                      18     pass   pass   FAIL   
Xlib9/XFillPolygon                      19     pass   pass   FAIL   
Xlib9/XFillPolygon                      20     pass   pass   FAIL   
Xlib9/XFillPolygon                      21     pass   pass   FAIL   
Xlib9/XFillPolygon                      22     pass   pass   FAIL   
Xlib9/XFillPolygon                      23     pass   pass   FAIL   
Xlib9/XFillPolygon                      24     pass   pass   FAIL   
Xlib9/XFillPolygon                      25     pass   pass   FAIL   
Xlib9/XFillPolygon                      29     pass   pass   FAIL   
Xlib9/XFillPolygon                      30     pass   pass   FAIL   
Xlib9/XFillPolygon                      32     pass   pass   FAIL   
Xlib9/XFillPolygon                      35     pass   pass   FAIL   
Xlib9/XFillPolygon                      37     pass   pass   FAIL   
Xlib9/XFillPolygon                      39     pass   pass   FAIL   
Xlib9/XFillPolygon                      41     pass   pass   FAIL   
Xlib9/XFillPolygon                      43     pass   pass   FAIL   
Xlib9/XFillRectangle                    1      pass   pass   FAIL   
Xlib9/XFillRectangle                    3      pass   pass   FAIL   
Xlib9/XFillRectangle                    5      pass   pass   FAIL   
Xlib9/XFillRectangle                    6      pass   pass   FAIL   
Xlib9/XFillRectangle                    7      pass   pass   FAIL   
Xlib9/XFillRectangle                    8      pass   pass   FAIL   
Xlib9/XFillRectangle                    9      pass   pass   FAIL   
Xlib9/XFillRectangle                    10     pass   pass   FAIL   
Xlib9/XFillRectangle                    11     pass   pass   FAIL   
Xlib9/XFillRectangle                    12     pass   pass   FAIL   
Xlib9/XFillRectangle                    13     pass   pass   FAIL   
Xlib9/XFillRectangle                    14     pass   pass   FAIL   
Xlib9/XFillRectangle                    15     pass   pass   FAIL   
Xlib9/XFillRectangle                    16     pass   pass   FAIL   
Xlib9/XFillRectangle                    17     pass   pass   FAIL   
Xlib9/XFillRectangle                    18     pass   pass   FAIL   
Xlib9/XFillRectangle                    19     pass   pass   FAIL   
Xlib9/XFillRectangle                    23     pass   pass   FAIL   
Xlib9/XFillRectangle                    24     pass   pass   FAIL   
Xlib9/XFillRectangle                    26     pass   pass   FAIL   
Xlib9/XFillRectangle                    29     pass   pass   FAIL   
Xlib9/XFillRectangle                    31     pass   pass   FAIL   
Xlib9/XFillRectangle                    33     pass   pass   FAIL   
Xlib9/XFillRectangle                    35     pass   pass   FAIL   
Xlib9/XFillRectangle                    37     pass   pass   FAIL   
Xlib9/XFillRectangles                   3      pass   pass   FAIL   
Xlib9/XFillRectangles                   4      pass   pass   FAIL   
Xlib9/XFillRectangles                   6      pass   pass   FAIL   
Xlib9/XFillRectangles                   7      pass   pass   FAIL   
Xlib9/XFillRectangles                   8      pass   pass   FAIL   
Xlib9/XFillRectangles                   9      pass   pass   FAIL   
Xlib9/XFillRectangles                   10     pass   pass   FAIL   
Xlib9/XFillRectangles                   11     pass   pass   FAIL   
Xlib9/XFillRectangles                   12     pass   pass   FAIL   
Xlib9/XFillRectangles                   13     pass   pass   FAIL   
Xlib9/XFillRectangles                   14     pass   pass   FAIL   
Xlib9/XFillRectangles                   15     pass   pass   FAIL   
Xlib9/XFillRectangles                   16     pass   pass   FAIL   
Xlib9/XFillRectangles                   17     pass   pass   FAIL   
Xlib9/XFillRectangles                   18     pass   pass   FAIL   
Xlib9/XFillRectangles                   19     pass   pass   FAIL   
Xlib9/XFillRectangles                   20     pass   pass   FAIL   
Xlib9/XFillRectangles                   24     pass   pass   FAIL   
Xlib9/XFillRectangles                   25     pass   pass   FAIL   
Xlib9/XFillRectangles                   27     pass   pass   FAIL   
Xlib9/XFillRectangles                   30     pass   pass   FAIL   
Xlib9/XFillRectangles                   32     pass   pass   FAIL   
Xlib9/XFillRectangles                   34     pass   pass   FAIL   
Xlib9/XFillRectangles                   36     pass   pass   FAIL   
Xlib9/XGetImage                         1      pass   pass   FAIL   
Xlib9/XGetImage                         2      pass   pass   FAIL   
Xlib9/XGetImage                         4      pass   pass   FAIL   
Xlib9/XGetImage                         7      pass   pass   FAIL   
Xlib9/XGetSubImage                      1      pass   pass   FAIL   
Xlib9/XGetSubImage                      3      pass   pass   FAIL   
Xlib9/XGetSubImage                      4      pass   pass   FAIL   
Xlib9/XGetSubImage                      7      pass   pass   FAIL   
Xlib9/XPutImage                         1      pass   pass   FAIL   
Xlib9/XPutImage                         2      pass   pass   FAIL   
Xlib9/XPutImage                         6      pass   pass   FAIL   
Xlib9/XPutImage                         15     pass   pass   FAIL   
Xlib9/XPutImage                         18     pass   pass   FAIL   
Xlib9/XPutImage                         21     pass   pass   FAIL   
Xlib9/XPutImage                         24     pass   pass   FAIL   
Xlib9/XPutImage                         26     pass   pass   FAIL   
Xlib9/XPutImage                         28     pass   pass   FAIL   
Xlib9/XPutImage                         30     pass   pass   FAIL   
Xlib9/XPutImage                         32     pass   pass   FAIL   
Xlib9/XPutImage                         34     pass   pass   FAIL   
Xlib17/XAddPixel                        1      pass   pass   FAIL   
Xlib17/XGetPixel                        1      pass   pass   FAIL   
Xlib17/XSubImage                        1      pass   pass   FAIL
Comment 1 Pi, Fengming 2007-10-25 02:29:04 UTC
following are some UNRES and WARN cases when using EXA but pass in XAA mode:

TEST SECTION/CASE                     PURPOSE  XAA   NoAccel EXA
Xlib8/XSetClipRectangles                3      pass  pass    UNRES   
Xlib8/XSetLineAttributes                1      pass  pass    UNRES   
Xlib9/XDrawArcs                         52     pass  pass    WARN   
Comment 2 Wang Zhenyu 2007-10-25 19:03:13 UTC
pls xorg.conf and log as usual...
Comment 3 Pi, Fengming 2007-10-25 19:09:05 UTC
Created attachment 12202 [details]
xorg conf file
Comment 4 Pi, Fengming 2007-10-25 19:18:02 UTC
Created attachment 12203 [details]
Xtest in XAA mode report log
Comment 5 Pi, Fengming 2007-10-25 19:22:34 UTC
Created attachment 12204 [details]
Xtest in EXA mode report log
Comment 6 Michel Dänzer 2007-10-26 03:19:17 UTC
Assuming this doesn't happen with xserver 1.4, can you try and git-bisect the xserver change that introduced this?
Comment 7 Michel Dänzer 2007-10-27 09:25:52 UTC
Created attachment 12231 [details] [review]
Test patch

Do the failures still occur with this patch?
Comment 8 Pi, Fengming 2007-10-30 00:27:29 UTC
after applying Michel Dänzer's patch,around 90 purposes newly passed,some fail change into UNRES.more detail as folloing:
TEST SECTION/CASE                     PURPOSE  old    new(applied patch)

Xproto/SetModifierMapping               2      FAIL   pass
Xlib9/XCopyArea                         24     FAIL   pass
Xlib9/XCopyArea                         27     FAIL   pass
Xlib9/XCopyArea                         29     FAIL   pass
Xlib9/XCopyArea                         31     FAIL   pass
Xlib9/XCopyPlane                        1      FAIL   pass
Xlib9/XCopyPlane                        27     FAIL   pass
Xlib9/XCopyPlane                        29     FAIL   pass
Xlib9/XCopyPlane                        30     FAIL   pass
Xlib9/XCopyPlane                        33     FAIL   pass
Xlib9/XCopyPlane                        35     FAIL   pass
Xlib9/XCopyPlane                        37     FAIL   pass
Xlib9/XDrawArc                          16     pass   FAIL
Xlib9/XDrawArc                          91     FAIL   pass
Xlib9/XDrawArcs                         55     FAIL   pass
Xlib9/XDrawArcs                         75     FAIL   pass
Xlib9/XDrawArcs                         101    FAIL   pass
Xlib9/XDrawImageString16                8      FAIL   pass
Xlib9/XDrawImageString16                17     FAIL   pass
Xlib9/XDrawImageString16                19     FAIL   pass
Xlib9/XDrawImageString                  8      FAIL   pass
Xlib9/XDrawImageString                  17     FAIL   pass
Xlib9/XDrawImageString                  19     FAIL   pass
Xlib9/XDrawLine                         27     FAIL   pass
Xlib9/XDrawLine                         52     FAIL   pass
Xlib9/XDrawLine                         57     FAIL   pass
Xlib9/XDrawLine                         80     FAIL   pass
Xlib9/XDrawLines                        32     FAIL   pass
Xlib9/XDrawLines                        57     FAIL   pass
Xlib9/XDrawLines                        92     FAIL   pass
Xlib9/XDrawPoints                       24     FAIL   pass
Xlib9/XDrawRectangle                    5      FAIL   pass
Xlib9/XDrawRectangle                    72     FAIL   pass
Xlib9/XDrawRectangles                   27     FAIL   pass
Xlib9/XDrawRectangles                   74     FAIL   pass
Xlib9/XDrawSegments                     6      FAIL   pass
Xlib9/XDrawSegments                     28     FAIL   pass
Xlib9/XDrawSegments                     53     FAIL   pass
Xlib9/XDrawSegments                     58     FAIL   pass
Xlib9/XDrawSegments                     81     FAIL   pass
Xlib9/XDrawString                       27     FAIL   pass
Xlib9/XDrawString                       30     FAIL   pass
Xlib9/XDrawString                       32     FAIL   pass
Xlib9/XDrawString                       34     FAIL   pass
Xlib9/XDrawString                       36     FAIL   pass
Xlib9/XDrawString                       38     FAIL   pass
Xlib9/XDrawString16                     27     FAIL   pass
Xlib9/XDrawString16                     30     FAIL   pass
Xlib9/XDrawString16                     32     FAIL   pass
Xlib9/XDrawString16                     34     FAIL   pass
Xlib9/XDrawString16                     36     FAIL   pass
Xlib9/XDrawString16                     38     FAIL   pass
Xlib9/XDrawText                         1      FAIL   pass
Xlib9/XDrawText                         31     FAIL   pass
Xlib9/XDrawText                         34     FAIL   pass
Xlib9/XDrawText                         36     FAIL   pass
Xlib9/XDrawText                         38     FAIL   pass
Xlib9/XDrawText                         40     FAIL   pass
Xlib9/XDrawText                         42     FAIL   pass
Xlib9/XDrawText16                       31     FAIL   pass
Xlib9/XDrawText16                       34     FAIL   pass
Xlib9/XDrawText16                       36     FAIL   pass
Xlib9/XDrawText16                       38     FAIL   pass
Xlib9/XDrawText16                       40     FAIL   pass
Xlib9/XDrawText16                       42     FAIL   pass
Xlib9/XFillArc                          5      FAIL   pass
Xlib9/XFillArc                          38     FAIL   pass
Xlib9/XFillArcs                         40     FAIL   pass
Xlib9/XFillPolygon                      43     FAIL   pass
Xlib9/XFillRectangle                    37     FAIL   pass
Xlib9/XFillRectangles                   38     FAIL   pass
Xlib9/XPutImage                         3      FAIL   pass
Xlib11/EnterNotify                      3      pass   FAIL
Xlib13/XSetModifierMapping              5      unsup  FAIL
Xlib13/XUngrabPointer                   3      pass   FAIL
Xlib14/XmbLookupString                  1      FAIL   pass
Xlib14/XwcLookupString                  1      FAIL   pass
Xlib17/XKeycodeToKeysym                 1      UNRES  pass
Xlib17/XKeysymToKeycode                 1      FAIL   pass
Xlib17/XLookupString                    1      FAIL   pass
Xlib17/XLookupString                    2      FAIL   pass
Xlib17/XRefreshKeyboardMapping          1      UNRES  pass
Xt9/XtGrabKey                           1      FAIL   UNRES
Xt9/XtGrabKey                           2      FAIL   UNRES
Xt9/XtGrabKey                           3      FAIL   UNRES
Xt9/XtUngrabKey                         1      FAIL   UNRES
Xt9/XtUngrabKey                         2      FAIL   UNRES
Xt9/XtGrabKeyboard                      1      FAIL   pass
Xt12/XtSetKeyTranslator                 1      UNRES  pass
Xt12/XtTranslateKeycode                 1      UNRES  pass
Xt12/XtTranslateKeycode                 2      UNRES  pass
Xt12/XtGetActionKeysym                  1      UNRES  pass
Xt12/XtGetActionKeysym                  2      UNRES  pass
Xt12/XtGetActionKeysym                  3      UNRES  pass
Xt12/XtGetActionKeysym                  4      UNRES  pass
Xt12/XtGetActionKeysym                  5      UNRES  pass
Xt12/XtGetActionKeysym                  6      UNRES  pass
Xt12/XtGetActionKeysym                  7      UNRES  pass
Xt12/XtKeysymToKeycodeList              1      UNRES  pass
Xt12/XtRegisterGrabAction               1      FAIL   UNRES
Comment 9 Daniel Stone 2007-10-30 04:13:01 UTC
(In reply to comment #8)
> after applying Michel Dänzer's patch,around 90 purposes newly passed,some fail
> change into UNRES.more detail as folloing:
> TEST SECTION/CASE                     PURPOSE  old    new(applied patch)
> 
> Xproto/SetModifierMapping               2      FAIL   pass
> Xlib11/EnterNotify                      3      pass   FAIL
> Xlib13/XSetModifierMapping              5      unsup  FAIL
> Xlib13/XUngrabPointer                   3      pass   FAIL
> Xlib14/XmbLookupString                  1      FAIL   pass
> Xlib14/XwcLookupString                  1      FAIL   pass
> Xlib17/XKeycodeToKeysym                 1      UNRES  pass
> Xlib17/XKeysymToKeycode                 1      FAIL   pass
> Xlib17/XLookupString                    1      FAIL   pass
> Xlib17/XLookupString                    2      FAIL   pass
> Xlib17/XRefreshKeyboardMapping          1      UNRES  pass
> Xt9/XtGrabKey                           1      FAIL   UNRES
> Xt9/XtGrabKey                           2      FAIL   UNRES
> Xt9/XtGrabKey                           3      FAIL   UNRES
> Xt9/XtUngrabKey                         1      FAIL   UNRES
> Xt9/XtUngrabKey                         2      FAIL   UNRES
> Xt9/XtGrabKeyboard                      1      FAIL   pass
> Xt12/XtSetKeyTranslator                 1      UNRES  pass
> Xt12/XtTranslateKeycode                 1      UNRES  pass
> Xt12/XtTranslateKeycode                 2      UNRES  pass
> Xt12/XtGetActionKeysym                  1      UNRES  pass
> Xt12/XtGetActionKeysym                  2      UNRES  pass
> Xt12/XtGetActionKeysym                  3      UNRES  pass
> Xt12/XtGetActionKeysym                  4      UNRES  pass
> Xt12/XtGetActionKeysym                  5      UNRES  pass
> Xt12/XtGetActionKeysym                  6      UNRES  pass
> Xt12/XtGetActionKeysym                  7      UNRES  pass
> Xt12/XtKeysymToKeycodeList              1      UNRES  pass
> Xt12/XtRegisterGrabAction               1      FAIL   UNRES

I assume your test environment was broken, because there's no way EXA could possibly influence these.
Comment 10 Michel Dänzer 2007-10-30 11:11:38 UTC
So it looks like the only remaining relevant failure is:

> Xlib9/XDrawArc                          16     pass   FAIL

Does this pass as well if you extend the disabled code region to the next if (migrate->pReg) block? If not, what if you disable the whole if (migrate->as_dst) {} else {} block?
Comment 11 Pi, Fengming 2007-11-01 02:15:50 UTC
For
> Xlib9/XDrawArc                          16     pass   FAIL
I used the two methods you described "extend the disabled code region to the next if (migrate->pReg) block or disable the whole if (migrate->as_dst) {} else {} block?"

Xlib9/XDrawArc 16 are both FAIL again
Comment 12 Andrew Randrianasulu 2007-11-06 06:50:01 UTC
*** Bug 13109 has been marked as a duplicate of this bug. ***
Comment 13 Michel Dänzer 2007-11-07 10:08:28 UTC
(In reply to comment #11)
> 
> Xlib9/XDrawArc 16 are both FAIL again

Thanks for testing these! I pushed a change which disables the problematic optimization by default.

It would be great if you could bisect the change that introduced the above remaining failure.
Comment 14 Wang Zhenyu 2007-11-28 21:32:48 UTC
What about current status of this bug?
Comment 15 Pi, Fengming 2007-11-29 00:18:50 UTC
Using Michel's new patch,now "Xlib9/XDrawArc 16" has passed.at the same time,three new failed item was brought in as following:
Xlib9/XDrawArcs                         55     pass   FAIL
Xlib9/XDrawArcs                         75     pass   FAIL
Xlib9/XPutImage                         3      pass   FAIL
at the same time,Daniel's comment #9 was verified are right.
Comment 16 Wang Zhenyu 2008-01-14 18:55:46 UTC
What about current xtest status?
Comment 17 Michael Fu 2008-01-29 22:20:46 UTC
fengming, any update?
Comment 18 Pi, Fengming 2008-02-26 23:33:27 UTC
using the latest git code.xtest can pass around 3770, there are around 80 new passes than before.
Comment 19 Michael Fu 2008-02-29 15:34:50 UTC
So, what's the delta between using XAA and EXA now? ( or do we still have the list of passed cases when using XAA? )
Comment 20 Gordon Jin 2008-03-01 18:46:43 UTC
I'm closing this deprecated bug as the result has changed much against the original report. Fengming will open a new bug with the latest result.
Comment 21 Pi, Fengming 2008-03-02 18:24:33 UTC
You can see the new Xtest results in bug# 14786:[EXA]xtest new failures now.